/**
 * Download media example.
 * Author: Camera Controller
 * Web: http://www.tequnique.com/cameracontroller
 * Description: This example shows how to download media from the camera.
 */

// Use the currently connected camera:
var connectResult = connectToCamera();
if (connectResult.ok) {
    var cameraName = connectResult.message;
    
    // Load the media list from the camera
    var mediaList = getMediaList(cameraName, true);

    // Download the first media item
    if (mediaList.length > 0) {
        var result = downloadMedia(cameraName, mediaList[0].mediaKey, "", false, true);
        if (!result.ok) {
            logMessage("Download error: " + result.message, true);
        }
    }
}
else logMessage("No camera found");

